%global dlrn_nvr validations-libs-1.9.1.dev1-1.20230421024008.7213419
%global dlrn 1
%define upstream_version 1.9.1.dev1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name validations-libs
%global sum A collection of python libraries for the Validation Framework

Name:           python-%{upstream_name}
Summary:        %{sum}
Version: 1.9.1
Release: 1.20230421024008.7213419%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/validations-libs
Source0: validations-libs-1.9.1.dev1-1.20230421024008.7213419.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=72134198cb5907fc88742a6561ce40672656d567
Patch0001: 0001-DOWNSTREAM-ONLY-Make-the-VF-logs-in-var-log-validati.patch
Patch0002: 0002-Revert-DOWNSTREAM-ONLY-Make-the-VF-logs-in-var-log-v.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Make-the-VF-logs-in-var-log-validati.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.opendev.org/openstack/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
A collection of python libraries for the Validation Framework

%package -n     python3-%{upstream_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{upstream_name}}

BuildRequires:  git-core
BuildRequires:  openstack-macros
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 3.1.1
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-ansible-runner >= 1.4.0
BuildRequires:  python3-cliff >= 2.16.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-sphinx >= 3.4.0
BuildRequires:  python3-sphinxcontrib-apidoc

Requires:       python3-pbr >= 3.1.1
Requires:       python3-six >= 1.11.0
Requires:       python3-ansible-runner >= 1.4.0
Requires:       python3-PyYAML
Requires:       python3-cliff >= 2.16.0

%description -n python3-%{upstream_name}
A collection of python libraries for the Validation Framework

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}

# Man pages build
# Separate pages are compiled for CLI and API documentation.
# The extension list is overriden to limit number of dependencies needed
# to build the docs and potential points of failure.
# Copyright notice is filled dynamically with year of the build.
# Improperly set up build environment may result in nonsensical or incorrrect
# year in the copyright notice.
%define buildyear %(date +%Y)

PYTHONPATH=${PWD} %sphinx_build \
 -b man doc/source doc/build/man \
 -a -E -d doc/build/doctrees \
 -T \
 -D extensions=cliff.sphinxext,sphinx.ext.autodoc,sphinxcontrib.apidoc \
 -D copyright='%{buildyear}, Openstack Foundation'

%install
%{py3_install}

# Move validation.cfg to the right place
if [ ! -d "%{buildroot}%{_sysconfdir}" ]; then
mkdir -p %{buildroot}%{_sysconfdir}
fi
mv %{buildroot}/usr/etc/validation.cfg %{buildroot}%{_sysconfdir}/validation.cfg

# Man pages installation CLI and API
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 doc/build/man/vf.1 %{buildroot}%{_mandir}/man1

install -d -m 755 %{buildroot}%{_mandir}/man3
install -m 644 doc/build/man/validations-libs.3 %{buildroot}%{_mandir}/man3

%check
PYTHON=%{__python3} stestr run

%files -n python3-%{upstream_name}
%license LICENSE
%config(noreplace) %attr(0644, root, root) %{_sysconfdir}/validation.cfg
%{_bindir}/validation
%doc README.rst AUTHORS ChangeLog
%{_mandir}/man*/*
%{python3_sitelib}/validations_libs
%{python3_sitelib}/validations_libs-*.egg-info
%{_datadir}/ansible/callback_plugins/
%exclude %{python3_sitelib}/validations_libs/test*

%changelog
* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 1.9.1-1.20230421024008.7213419
- Update patches

* Wed Apr 12 2023 OSP Prod Chain <dev-null@redhat.com> 1.9.1-1.20230413023954.7213419
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- No validation found exception is raised when group or category or product is defined

* Fri Mar 31 2023 OSP Prod Chain <dev-null@redhat.com> 1.9.0-1.20230401024134.136827b
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Run validations with parameters from a file
- Update container validation to use Fedora image version 36

* Fri Feb 03 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230204023834.cc370a5
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Adjusting developer container file to ensure smoother integration with IDE

* Fri Jan 06 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230107023832.0c29d45
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Changes needed for full functionality of tox 4.0.0 runtime

* Mon Dec 19 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221220024251.430530f
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Expanding logging facilities to rest of the framework

* Thu Dec 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221202034139.0464162
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Check the presence of the output callback and the roles path

* Sat Nov 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221127024337.ac2b6b7
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Format list to str for get_reason message or skip

* Thu Nov 24 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221125034214.9a2bcee
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Bumping basepython version of the tox environments to 3.10

* Fri Nov 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221119024120.e6eeba3
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Install podman with privilege escalation

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221118024107.b520719
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Pull flake8 from Github

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221109043743.5fb5a02
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Remove python-dev from bindep

* Mon Nov 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-1.20221108024153.70e174a
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Remove log_path parameter so it can  be only set by the constructor

* Tue Sep 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220928034039.0dcf77d
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Restoring logging facility and implementing default logger

* Wed Sep 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220921103718.125e237
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- remove unicode prefix from code
- Removing Popen object return from utils.run_command_and_log

* Sat Sep 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220917165722.eff451b
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Updating development vagrant file to centos8 stream
- Add CI job for podified VF
- Removing superfluous imports and variable
- Constraining runtime selection and behavior to improve local testing stability

* Wed Sep 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220908024105.c602a08
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Define and loop on config file section

* Wed Aug 31 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220831133719.5076004
- Update patches

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220830140700.5076004
- Update patches

* Fri Aug 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220826103721.5076004
- Update patches

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220728042546.5076004
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220727163603.5076004
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220725002142.5076004
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Expanding parser actions to allow for multiple key-value pairs

* Wed Jul 20 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220720184226.ec891e0
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Using UBI9 as base for VF development containers
- Skipping tests during API doc generation

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220718135625.b27ad5a
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Minor style violations fix
- Adding yamllint configuration file and fixing style violations
- Python 3.6 support removal
- Update python testing as per zed cycle testing runtime
- Bumping flake8-typing-imports to version 1.12.0
- Remove six
- Update py36 to py38 tox jobs
- Add validation container entry point
- Man pages compatibility
- Clarifying project branching model in CONTRIBUTING.rst
- Normalizing VF metadata

* Sun May 22 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220523011829.8de0589
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Dockerfile updated to eliminate dependency conflicts

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220514021918.f60fee4
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Fixing CLI formatter import test.

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220513022042.52b1959
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Validation help improvement
- Expand validations_logs table with reason of failure

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220507031847.802e067
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Removing references to Babel
- fix symlink for ansible base dir

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220429034312.ce6b419
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Tests verifying functionality ansible runtime infrastructure
- get_status property simplification and optimization
- Remove yaml check for inventory in run/cli
- Removed explicit inheritance from object

* Wed Apr 20 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220421032023.5558cb0
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Exceptions for Validations Framework

* Wed Mar 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220330143006.794fb1a
- Update patches
- Removing leftover coverchange reference

* Wed Mar 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220330133738.3344af0
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Removing leftover coverchange reference

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220325031911.3344af0
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Setting default branch of devstack repositories for functional tests

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220318002844.4dee6c0
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Checking inventory file presence and format
- Removing coverchange job

* Fri Mar 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220312002424.9163d8b
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Moving callbacks to validations-libs

* Tue Mar 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220302002301.299b7b6
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Update master for stable/1.6

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220228002254.540ef6f
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Centos 9 jobs for validations libs

* Wed Feb 02 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220203002257.2a447de
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Migrate jobs from CentOS 8 to CentOS 8 Stream

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220202002306.d98d541
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Fix community init to respect cfg paths

* Fri Jan 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220122002327.b24d4ce
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Validation actions refactor

* Wed Jan 19 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220120001842.eb5c38e
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- For stable/train compatibility ansible-runner needs to move to 1.4.0

* Mon Jan 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220118001842.8405bb7
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Move Cliff requirements to 2.16.0

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.0-0.20220115004751.17e6895
- Update patches

* Fri Jan 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20220108001847.17e6895
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Add backward compatibility for python pathlib module

* Thu Jan 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20220107001848.68adc1f
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"
- Convert fstrings to .format to facilitate porting

* Fri Dec 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211203111900.e875e16
- Update patches

* Fri Dec 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211203091901.e875e16
- Revert "[DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations"

* Thu Dec 02 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211202101900.e875e16
- [DOWNSTREAM-ONLY] Make the VF logs in /var/log/validations (rhbz#2013575)

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211130081858.e875e16
- Update patches
- Use py3 as the default runtime for tox

* Fri Nov 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211127002822.3825b9c
- Update patches
- Mocking 'open' to improve test isolation

* Thu Nov 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211126001912.ed33291
- Update patches
- Disable spinner when running validation in non quiet mode

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211119004004.1b94c03
- Update patches
- Add the community validation paths

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211118011913.399d290
- Update patches

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211118003916.399d290
- Update patches
- Refactor set_argument_parser to fix shell regression
- Enforce existing roles and playbooks checks

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211117151911.1bbf282
- Refactor set_argument_parser to fix shell regression (rhbz#2013625)
- Enforce existing roles and playbooks checks (rhbz#1985345)

* Mon Nov 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211115140850.1bbf282
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211112183558.1bbf282
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211112174722.1bbf282
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211112172236.1bbf282
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211112160936.1bbf282
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211112154012.1bbf282
- Update patches

* Mon Nov 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211102022128.1bbf282
- Update patches
- Add new CLI sub command to create community validations

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211015091939.7d416ac
- Update patches
- Default value of the constructor parameter

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211008001907.b37015e
- Update patches
- Expose skip list mechanism via the CLI

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210827002945.11488cd
- Update patches
- Add validation config file mechanism

* Thu Aug 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210820001823.c8480cb
- Update patches
- Setting language for the python3.6 tox environment

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210818021206.f1cd8ee
- Update patches

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210811001815.f1cd8ee
- Update patches
- Validations show group filtering

* Sat Jul 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210801021806.07e484a
- Update patches
- Triggering the 'tripleo-ci-centos-8-undercloud-containers'

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210730002816.442b707
- Update patches
- Unit test refactor
- reqcheck job is now voting

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210728010731.e4b5dc3
- Update patches
- Add CLI auto generated documentation using Cliff
- Add Products metadata key management
- Add Categories metadata key management
- Add missing font for PDF generation

* Sat Jul 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210725001809.6f4a203
- Update patches
- Build containers in gate  - to match check

* Fri Jul 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210717001811.9a594f7
- Update patches
- Remove convert_data function

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210716001811.205d4ea
- Update patches
- fix var name in logging statement

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210715001812.bb15e05
- Update patches
- add spinner to highlight progress
- Fix history list sub command when not using the default log dir

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210714001807.1c4c819
- Update patches
- improve vagrant functionality
- Test cross contamination prevention

* Mon Jul 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210706001811.85947ee
- Update patches
- Simplification of the log path handling by the ValidationLog class

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210703001813.9248716
- Update patches
- Coverage change job

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210702002826.ab14603
- Update patches
- Handle backward compatibility for Cliff 2.16.0 (stable/train)
- Remove content-provider to decrease CI time

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210701091831.8645aea
- Update patches
- Fix a regression in the ShowGroup sub-command

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210624102503.26bea93
- Update patches

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210624094332.26bea93
- Update patches

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210624093105.26bea93
- Update patches

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210624091413.26bea93
- Update patches

* Wed Jun 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210624001844.26bea93
- Update patches
- Filling license info for Ansible and Pyflakes

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210619001812.d6ecf24
- Update patches
- Fix VALIDATIONS_LOG_BASEDIR constant when $HOME is undefined
- Correct the tox option for skipping sdist generation
- get_formatted_data optimization
- Literal substituted with DEFAULT_VALIDATIONS_BASEDIR
- Module docstring for validation_libs.constants

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210612121810.4d1df7b
- Update patches
- New optional param for log path

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210611001914.48cc737
- Update patches
- Fixing the recursive path handling.

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210608011810.1d33aa3
- Update patches
- Constants path formatting unification
- Expansion of logging for the list action
- Expansion of logging for the show action.

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210607091343.b35908e
- Update patches
- Improved log path handling
- Override cliff command parser to handle argparser conflict_handler
- Update Validations Framework IRC channels
- Deprecated assertEquals replaced
- Paths no longer contain double '/'
- Cover now  prints line numbers

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210604012831.eda8127
- Update patches
- Remove VALIDATION_GROUPS constant
- Refactoring of the cli lister module
- Refactoring of the cli run module
- Refactoring of the cli history module
- Refactoring of the cli show module
- Refactoring of the cli app module
- Reqcheck job for upstream validations-libs

* Tue Jun 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210602021812.337288f
- Update patches
- Refactoring of the cli parseractions module

* Sat May 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210530021829.0f00fd7
- Update patches
- Use validation_component for Standalone CI jobs

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210527162953.b14fb37
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210523162131.b14fb37
- Update patches
- Bumping the ansible-runner version to 1.4.4
- Removing ansible-autodoc
- Fix Python 2.7 compatibility for test_ansible.py
- Make Python Interpreter option for Ansible Validation Run

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210520073744.51564ac
- Update patches
- Disable quiet mode run when using an Ansible Custom Callback

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210519012832.036ead6
- Update patches
- Elevate the verbosity level when running validation(s)
- Move fetch_validations role from validations-libs-functional to post playbook
- Bump pre-commit repositories
- group info test mocks and asserts
- Expanded and increased strictness of the ansible.py tests

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210513023024.5815fb3
- Update patches
- setup.cfg: Replace dashes with underscores
- Retrieve n latest validation results
- Add support for JUnitXML output (optional)

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210430011807.36c9b8c
- Update patches
- Version bumps for rhel9 transition

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-0.20210428172259.2c799eb
- Update patches
- CLI colors refactored
- Raise exception if result is empty

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-0.20210427024050.132d280
- Update patches
- Invalid char 'xe2' replaced with double dash
- PDF docs are now available
- Create dedicated CLI for the Validation Framework

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-0.20210420095945.a12c531
- Update patches
- Exceptions now indicate cause where applicable

* Fri Apr 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-0.20210417011745.dc2a135
- Update patches
- Expose ansible ssh_user variable to the run action
- Add vars to tripleo-ci-centos-8-standalone-validation-libs job

* Tue Apr 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-0.20210414002758.caa9fc2
- Update patches
- Add basic standalone job w/ validate-services true
- Zuul runs tests in py36 only

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixes string formatting of the error msg log

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose callback_whitelist option to Run action

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Moving doc structure closer to that in validations-commons.

* Mon Mar 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Default to current user dir for log creation and management
- Fix the syntax for groups in documentation.

* Tue Mar 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the condition to check the groups.

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor the groups property in Validation class.

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Style adjustment of a constant.

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Return absolute path for inventory
- Modifies README.rst to reference podman.
- Docker image refinement and preparation for future development.
- Improved Dockefile and simplified use instructions.

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removed unnecessary second check.

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add skip list option in order to provide a black list for validation
- show command now properly uses list of validations

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- One of the two nested calls of os.path.join was redundant.


